#!/bin/sh
#-------------------------------------------------------------------------------
#
#  Copyright (c) 2005 Tyrell Corporation.
#
#   This file is part of the Locative Blog project.
#   http://locblog.sourceforge.net/
#
#  Author   : $Author: darkeye $
#  Version  : $Revision: 1.1.1.1 $
#  Location : $Source: /cvsroot/locblog/rotatingGlobe/bin/generateImages.sh,v $
#
#  Abstract : 
#
#   A script generating images of the globe, from different view angles.
#   The xplanet tool (http://xplanet.sourceforge.net/) is needed for
#   this script to work.
#
#  Copyright notice:
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License  
#   as published by the Free Software Foundation; either version 2
#   of the License, or (at your option) any later version.
#  
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of 
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
#   GNU General Public License for more details.
#  
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#-------------------------------------------------------------------------------

#-------------------------------------------------------------------------------
#   Change the variable below the specify change in viewpoint for each
#   subsequently generated image, in degrees
#-------------------------------------------------------------------------------
step=10

#-------------------------------------------------------------------------------
#   Change the variable below the specify the size of the generated images.
#-------------------------------------------------------------------------------
geometry=650x650

#-------------------------------------------------------------------------------
#   Do not change anything below this line.
#-------------------------------------------------------------------------------

reldir=`dirname $0`/..
basedir=`cd $reldir; pwd;`
etcdir=$basedir/etc
vardir=$basedir/var

imagePrefix=$vardir/public_html/globeImages/globe

degree=000
numSteps=`expr 360 / $step`

echo "Calculating in $numSteps steps, $step degree per step"

i=0

while [ $i -lt $numSteps ]; do
    echo "generating image at $degree degrees, in step $i";
    xplanet -searchdir $etcdir/xplanet \
            -searchdir $vardir/xplanet \
            -num_times 1 \
            -output $imagePrefix$i.jpg \
            -geometry $geometry \
            -config rotatingGlobe \
            -starmap BSC \
            -latitude 0 -longitude $degree

    i=`expr $i + 1`
    degree=`expr $degree + $step`
done

exit

